Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance



Public Enum eOfferInState
    eInProgress = 0 'Még dolgoznak rajta
    eClosedWON = 1 'Elfogadjuk
    eClosedLOST = 2 'Elutasítjuk
    eInThinkingOf = 3 'Még gondolkodunk, hogy mi legyen vele !
    eOrderOut = 4 'Megrendeltük
    eOrderOutAcknowledgement = 5 'Megrendeltük, és visszaigazolták
End Enum
Public Enum eOfferInLOSTReason
    eNotSet = 0 'Nincs beállitva
    eTooExpensive = 1 'Túl drága
    eTooLate = 2 'Határidő nem megfelelő
    eChooseConcurrency = 3 'Konkurenciát választottuk
    eQualityProblem = 4 'Nem megfelelő minőségű
    eNoAnswer = 5 ' Nem mondjuk meg miért
    eWINOther = 6 ' Másik árajánlatukat fogadjuk el
    eOther = 7 'Egyéb
End Enum
<DefaultClassOptions()> _
<NavigationItem("BusinessStocks")> _
Public Class OfferInParameters
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _OfferInMainType As eOfferOutMainType 'Fő tipus 1
    Private _OfferInMainType2 As eOfferOutMainType2 'Fő tipus 2
    Private _ShortName As String 'Rövid megnevezés
    Private _Description As String 'Leírás
    Private _NumberGenerator As NumberGenerator 'Sorszám generátor
    Private _ReportData As ReportData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property OfferInMainType As eOfferOutMainType
        Get
            Return _OfferInMainType
        End Get
        Set(ByVal value As eOfferOutMainType)
            SetPropertyValue("OfferOutMainType", _OfferInMainType, value)
        End Set
    End Property
    Property OfferInMainType2 As eOfferOutMainType2
        Get
            Return _OfferInMainType2
        End Get
        Set(ByVal value As eOfferOutMainType2)
            SetPropertyValue("OfferOutMainType2", _OfferInMainType2, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)>
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(ByVal value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
End Class